demo {base} | R Documentation

## Demonstrations of R Functionality

### Description

`demo` is a user-friendly interface to running some demonstration R scripts. `demo()` gives the list of available topics.

### Usage

    demo(topic, device = getOption("device"),
         package = .packages(), lib.loc = NULL,
         character.only = FALSE, verbose = getOption("verbose"))

### Arguments

`topic` | the topic which should be demonstrated, given as a name or literal character string, or a character string, depending on whether `character.only` is `FALSE` (default) or `TRUE`. If omitted, the list of available topics is displayed.
`device` | the graphics device to be used.
`package` | a character vector giving the packages to look into for demos. By default, all packages in the search path are used.
`lib.loc` | a character vector of directory names of R libraries, or `NULL`. The default value of `NULL` corresponds to all libraries currently known. If the default is used, the loaded packages are searched before the libraries.
`character.only` | logical; if `TRUE`, use `topic` as character string.
`verbose` | a logical. If `TRUE`, additional diagnostics are printed.

### Details

If no topics are given, `demo` lists the available demos. The corresponding information is returned in an object of class `"packageIQR"`. The structure of this class is experimental. In earlier versions of R, an empty character vector was returned along with listing available demos.

### See Also

`source` which is called by `demo`.

### Examples

    demo() # for attached packages

    ## All available demos:
    demo(package = .packages(all.available = TRUE))

    demo(lm.glm)
    ## Don't run:
     ch <- "scoping"
     demo(ch, character = TRUE)
    ## End Don't run

[Package Contents]